Assignee: Jean-Philippe Lang % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

config/initializers/bigdecimal-segfault-fix.rb was added to take care of the DoS bug in Ruby 1.8.7-p160 and all prior versions. As I am

trying to get Redmine working with Oracle 11 I found that this file throws an error when I do the db migrate. Since I am using Ruby

1.8.7-p174 I simply removed bigdecimal-segfault-fix.rb.

Can there be some kind of check put in the file or installation to first check the Ruby version before attempting to apply the

bigdecimal fix?

Related issues:

Related to Redmine - Feature #944: Oracle Support in Redmine Closed 2008-03-28

Related to Redmine - Defect #4856: roadmap display crashes when a ticket has ... Closed 2010-02-17

Associated revisions

Revision 8788 - 2012-02-05 15:38 - Jean-Philippe Lang

Removed bigdecimal-segfault-fix.rb now that ruby is fixed (#7826).

History

#1 - 2012-01-17 21:41 - Kevin O

Can we just remove this file for current trunk, as it only supports Redmine 1.8.7, from which to my understanding, after a certain patch level, no long is

affected by this problem.

related: http://www.redmine.org/boards/2/topics/22341?r=28565

#2 - 2012-01-18 09:10 - Etienne Massip

- Target version set to 1.4.0

Why not for 1.4.0 which will no more support Ruby 1.8.6 anymore?

#3 - 2012-01-21 09:46 - Jean-Philippe Lang

As there are 1.8.6 and 1.8.7 ruby versions that fix this issue, we could remove this patch indeed.

BTW, Oracle is not officialy supported as I do not run tests with this DBMS. How does Redmine behave with it?

#4 - 2012-01-21 14:09 - Etienne Massip

I try to relate every issue created about Oracle to #944 to keep a track of what could be done to support it; those issues are real even if closed as

Invalid.

According to forums, people generally succeed to install Redmine with Oracle but this requires a few monkey patches (but not a lot); I specifically

remember of issues related to 1 or 2 tables name length too long for an Oracle DB.

Adding support to Oracle (and why not, even if less often evoked, MSSQL) should not be that hard and would help integration/promotion of Redmine

in companies tied by global contracts with Oracle (or Microsoft).

Moreover, I guess that setting up a CI with Oracle XE or SQL Server Express is possible.

#5 - 2012-02-05 15:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
Fix removed in r8788.

How Oracle and MSSQL are supported in recent versions of Rails? Because they were in the early versions then they were not.

#6 - 2012-02-05 19:50 - Etienne Massip

From what I've seen when I had a quick look 2 weeks ago, both ActiveRecord adapers are on GitHub and updated frequently and recently; I saw that

SQL Server adapter was even already compatible with Rails 3.2.

I would say that supporting both of them is worth it, especially Oracle since it seems to be the most frequently asked for, but that's only my POV.

#7 - 2012-04-30 19:34 - Juan G

It would be great some attempts to make this working in Oracle without tweaks. I have 1.2.0 working with Oracle + JRuby and I fear to upgrade to

latest because of possible new tweaks to be made.

#8 - 2015-04-07 07:37 - Go MAEDA

- Related to Defect #4856: roadmap display crashes when a ticket has 'Estimated Time' too big added
